Index: tests/regression/Filling/RegularGrid/testsuite-fill-regular-grid-with-surface.at
===================================================================
--- tests/regression/Filling/RegularGrid/testsuite-fill-regular-grid-with-surface.at	(revision df0c802c02abf1177a70b2bafe46af86cee53ad4)
+++ tests/regression/Filling/RegularGrid/testsuite-fill-regular-grid-with-surface.at	(revision ed8a681ca27b0d36de905a8f9970d3a5cffa0bb2)
@@ -25,5 +25,5 @@
 AT_CHECK([chmod u+w $file], 0)
 # check that specifying radius but selecting no atoms is wrong
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5], 5, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5], 5, [stdout], [stderr])
 
 AT_CLEANUP
@@ -35,5 +35,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/double_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5], 0, [stdout], [stderr])
 AT_CHECK([grep "118 out of 125 returned true from predicate" stdout], 0, [ignore], [ignore])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/$file], 0, [ignore], [ignore])
@@ -48,5 +48,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/double_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --undo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --undo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/double_sles-undo.data], 0, [ignore], [ignore])
 
@@ -60,5 +60,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/double_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/$file], 0, [ignore], [ignore])
 
Index: tests/regression/Filling/RegularGrid/testsuite-fill-regular-grid.at
===================================================================
--- tests/regression/Filling/RegularGrid/testsuite-fill-regular-grid.at	(revision df0c802c02abf1177a70b2bafe46af86cee53ad4)
+++ tests/regression/Filling/RegularGrid/testsuite-fill-regular-grid.at	(revision ed8a681ca27b0d36de905a8f9970d3a5cffa0bb2)
@@ -24,5 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/single_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1], 0, [stdout], [stderr])
 AT_CHECK([grep "222 out of 275 returned true from predicate" stdout], 0, [ignore], [ignore])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/$file], 0, [ignore], [ignore])
@@ -37,5 +37,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/single_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/single_sles-undo.data], 0, [ignore], [ignore])
 
@@ -49,5 +49,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/single_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/$file], 0, [ignore], [ignore])
 
